Bug 1005873 - Generated URLs do not contain SessionID parameter when Cookies are disabled
Generated URLs do not contain SessionID parameter when Cookies are disabled
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PortletBridge (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: DR01
: 6.1.1
Assigned To: Ken Finnigan
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 10:47 EDT by Martin Weiler
Modified: 2014-02-10 19:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Action and Portlet URLs were not encoded by the Portlet Container when being generated for a JSF portlet by the Portlet Bridge. If a browser had cookies disabled, the generated URLs did not contain the SessionID parameter. Therefore any Session state associated with a portlet were not retained between requests. The implemented fix calls the Portlet Container to encode the Action and Portlet URLs generated by the Portlet Bridge. The SessionID parameter is now present and the portlet state is retained across requests
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Numberguess portlet application to reproduce the problem (9.16 KB, application/zip)
2013-09-09 10:47 EDT, Martin Weiler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PBR-541 Critical Closed Generated URLs do not contain SessionID parameter when Cookies are disabled 2014-02-10 19:27:39 EST

  None (edit)
Description Martin Weiler 2013-09-09 10:47:24 EDT
Created attachment 795644 [details]
Numberguess portlet application to reproduce the problem

Description of problem:
Disabling cookies breaks JSF application, as the URL encoding is missing.

Platform issue for PBR-541.

How reproducible:
Attaching a portlet version of the numberguess example as reproducer.

Steps to Reproduce:
1. Deploy the application, and add it to a page
2. Ensure that cookies are not allowed
3. Start the numberguess example, and notice that the game is restarted on each guess. The session state is not maintained.

Actual results:
Session state is not maintained across requests.

Expected results:
Session is reused.

Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-09-10 09:10:51 EDT
Ken Finnigan <ken@kenfinnigan.me> updated the status of jira PBR-541 to Closed
Comment 3 Ken Finnigan 2013-11-07 10:17:42 EST
Resolved as part of Portlet Bridge 3.3.0, which is part of GateIn for JPP 6.1.1
Comment 4 Dominik Pospisil 2013-12-05 10:32:00 EST
Verified (DR01).

Note You need to log in before you can comment on or make changes to this bug.